package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * ModifyConfirmResultOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class ModifyConfirmResultOpenApiVo   {
  @JsonProperty("needConfirm")
  private Boolean needConfirm;

  public ModifyConfirmResultOpenApiVo needConfirm(Boolean needConfirm) {
    this.needConfirm = needConfirm;
    return this;
  }

  /**
   * needConfirm indicates whether the digit map configuration conflicts with the \"end with #\" configuration of the current device.
   * @return needConfirm
  */
  @ApiModelProperty(value = "needConfirm indicates whether the digit map configuration conflicts with the \"end with #\" configuration of the current device.")


  public Boolean getNeedConfirm() {
    return needConfirm;
  }

  public void setNeedConfirm(Boolean needConfirm) {
    this.needConfirm = needConfirm;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ModifyConfirmResultOpenApiVo modifyConfirmResultOpenApiVo = (ModifyConfirmResultOpenApiVo) o;
    return Objects.equals(this.needConfirm, modifyConfirmResultOpenApiVo.needConfirm);
  }

  @Override
  public int hashCode() {
    return Objects.hash(needConfirm);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ModifyConfirmResultOpenApiVo {\n");
    
    sb.append("    needConfirm: ").append(toIndentedString(needConfirm)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

